net.minecraftforge.event.entity.item

## Class ItemTossEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.item.ItemEvent
      - - net.minecraftforge.event.entity.item.ItemTossEvent

-     public class ItemTossEvent
      extends ItemEvent

  Event that is fired whenever a player tosses (Q) an item or drag-n-drops a stack of items outside the inventory GUI screens. Canceling the event will stop the items from entering the world, but will not prevent them being removed from the inventory - and thus removed from the system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityPlayer` | `player` The player tossing the item.

    - ### Fields inherited from class net.minecraftforge.event.entity.item.ItemEvent

      `entityItem`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemTossEvent(EntityItem entityItem, EntityPlayer player)` Creates a new event for EntityItems tossed by a player.

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### player

          public final EntityPlayer player

      The player tossing the item.

  - ### Constructor Detail

    - #### ItemTossEvent

          public ItemTossEvent(EntityItem entityItem,
                       EntityPlayer player)

      Creates a new event for EntityItems tossed by a player.
      Parameters:
        `entityItem` - The EntityItem being tossed.
        `player` - The player tossing the item.